#ifndef __GEM_H
#define __GEM_H
/*-------------------------------------------------------------------------*\
  <gem.h> -- Fanwor dynamically linked library - Gem

  Date      Programmer  Description
  09/25/00  Dennis      Created.
\*-------------------------------------------------------------------------*/

#include "troll.h"

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *\
  Classes
\* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
class TrollGem: public TrollItem
{
 public:
  static TrollThing *createGem1(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem2(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem3(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem4(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem5(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem6(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem7(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);
  static TrollThing *createGem8(TrollScreen *scr, IShort x,
    IShort y, IUShort secrt = 0);

  void pickUp(TrollCharacter *troll);

 protected:
  TrollGem(TrollScreen *scr, IShort xStart, IShort yStart,
    IUShort secrt, IUShort spr);
};

#endif

